package services;

import org.springframework.dao.DataAccessException;

public interface FriendDAO {
	
	/**
	 * Creates a friendship
	 * @param userSid1 String
	 * @param userSid2 String
	 * @throws DataAccessException
	 */
	void create(String userSid1, String userSid2) throws DataAccessException;
	
	/**
	 * Blocks or unblocks a friendship
	 * @param userLogged String
	 * @param userSid2 String
	 * @param block boolean
	 * @throws DataAccessException
	 */
	void block(String userLogged, String userSid2, boolean block) throws DataAccessException;
	
	/**
	 * Gets blocked of a friendship
	 * @param userSid1 String 
	 * @param userSid2 String
	 * @return String returned
	 * @throws DataAccessException
	 */
	String getBlocker(String userSid1, String userSid2) throws DataAccessException;
	
	/**
	 * Checks if the friendship exists
	 * @param userSid1 String
	 * @param userSid2	String
	 * @return boolean indicates if the friend exists
	 * @throws DataAccessException
	 */
	boolean exists(String userSid1, String userSid2) throws DataAccessException;
}
